package com.usky.iot.controller.web;


import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.PmWorkReport;
import com.usky.iot.service.PmTimeConfService;
import com.usky.iot.service.vo.PmSubmitCountResponseVO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.time.LocalDate;

/**
 * <p>
 * 工作报告提交时间配置表 前端控制器
 * </p>
 *
 * @author fu
 * @since 2025-01-10
 */
@RestController
@RequestMapping("/pmTimeConf")
public class PmTimeConfController {

    @Autowired
    private PmTimeConfService pmTimeConfService;

    /**
     * 提交统计
     * @param submitDate 统计日期
     * @return 统计结果
     */
    @GetMapping("/submitCount")
    public PmSubmitCountResponseVO submitCount(@RequestParam(value = "submitDate", required = false) String submitDate) {
        if (submitDate == null || submitDate.isEmpty()) {
            submitDate = LocalDate.now().toString();
        }
        return pmTimeConfService.submitCount(submitDate);
    }

    @GetMapping("/submitPage")
    public CommonPage<Object> submitPage(@RequestParam(value = "queryType", required = false, defaultValue = "0") Integer queryType,
                                         @RequestParam(value = "submitDate", required = false) String submitDate,
                                         @RequestParam(value = "reportId", required = false) Integer reportId,
                                         @RequestParam(value = "pageNum", required = false, defaultValue = "1") Integer pageNum,
                                         @RequestParam(value = "pageSize", required = false, defaultValue = "10") Integer pageSize) {
        if (StringUtils.isBlank(submitDate)) {
            submitDate = LocalDate.now().toString();
        }
        return pmTimeConfService.submitPage(submitDate, queryType, reportId, pageNum, pageSize);
    }

}

