package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 提交时间配置表
 * </p>
 *
 * @author fu
 * @since 2025-01-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PmTimeConf implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 时间配置表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 开始提交时间
     */
    private LocalTime startTime;

    /**
     * 正常提交时间
     */
    private LocalTime onTime;

    /**
     * 结束提交时间
     */
    private LocalTime endTime;

    /**
     * 配置名称
     */
    private String confName;

    /**
     * 配置类型(PM:工作报告提交时间配置)
     */
    private String confType;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
